Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036807
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. PlatformminorN/A2017-09-07 19:092017-09-12 10:56
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision00535db6ce28
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036807: API Change: remove AuthenticationManager.username field

DescriptionAs stated in issue 0035164 AuthenticationManager.username is thread unsafe.

This variable is used to keep the name of the user that fired the request in order to store this name as part of the DB session information.

To fix this issue that field will be removed and replaced with a ThreadLocal variable which will provide an independently initialized copy of the variable per thread.

As the AuthenticationManager.username is a protected field, its removal is an API change.
Steps To ReproduceIn description
TagsApproved
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0035164 closedcaristu AuthenticationManager.username thread unsafe 

-  Notes
(0098892)
alostale (developer)
2017-09-08 07:13

Is there any known module implementing an AuthenticationManager using this field?
(0098896)
caristu (developer)
2017-09-08 08:31

Looked for at the central repository and found just one.
(0098910)
hgbot (developer)
2017-09-08 13:12

Repository: erp/devel/api-checks
Changeset: 00535db6ce2809dcd86dc1ee1a328dffe8701fd1
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Fri Sep 08 13:11:28 2017 +0200
URL: http://code.openbravo.com/erp/devel/api-checks/rev/00535db6ce2809dcd86dc1ee1a328dffe8701fd1 [^]

fixes issue 36807: remove AuthenticationManager.username field

---
M java/reference/java.japi.gz
---
(0098914)
hgbot (developer)
2017-09-08 13:55

Repository: erp/devel/api-checks
Changeset: 4a877e1bb59cbc57844c488f2b1dee22eedff3aa
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Fri Sep 08 13:55:09 2017 +0200
URL: http://code.openbravo.com/erp/devel/api-checks/rev/4a877e1bb59cbc57844c488f2b1dee22eedff3aa [^]

related to issue 36807: updated loginName definition as static

---
M java/reference/java.japi.gz
---
(0098924)
hgbot (developer)
2017-09-11 08:41

Repository: retail/api-checks-retail
Changeset: 8921be9ec35573d147ac8b1288610a2ed0795297
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Sep 11 08:40:38 2017 +0200
URL: http://code.openbravo.com/retail/api-checks-retail/rev/8921be9ec35573d147ac8b1288610a2ed0795297 [^]

related to issue 36807: remove AuthenticationManager.username field

---
M java/reference/java.japi.gz
---
(0098934)
hgbot (developer)
2017-09-11 11:58

Repository: retail/api-checks-retail
Changeset: 6691c0637cd194628c2db697fd0da1ccb8966d72
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Sep 11 11:57:24 2017 +0200
URL: http://code.openbravo.com/retail/api-checks-retail/rev/6691c0637cd194628c2db697fd0da1ccb8966d72 [^]

related to issue 36807: remove AuthenticationManager.username field

---
M java/reference/java.japi.gz
---
(0098964)
hgbot (developer)
2017-09-12 09:30

Repository: erp/devel/api-checks
Changeset: 68700241123347743152d9f2aac134dfdfe0f995
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue Sep 12 09:26:44 2017 +0200
URL: http://code.openbravo.com/erp/devel/api-checks/rev/68700241123347743152d9f2aac134dfdfe0f995 [^]

related to issue 36807: api changes after code review
  - Changed signature of AuthenticationManager.decodeBasicAuthenticationData method
  - Removed AuthenticationManager.LOGIN_PASS and AuthenticationManager.LOGIN_USER which are no longer needed

---
M java/reference/java.japi.gz
---
(0098965)
hgbot (developer)
2017-09-12 09:31

Repository: retail/api-checks-retail
Changeset: 5655e698af447f2b1dbf0f81dac388211d870e82
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue Sep 12 09:27:39 2017 +0200
URL: http://code.openbravo.com/retail/api-checks-retail/rev/5655e698af447f2b1dbf0f81dac388211d870e82 [^]

related to issue 36807: api changes after code review
  - Changed signature of AuthenticationManager.decodeBasicAuthenticationData method
  - Removed AuthenticationManager.LOGIN_PASS and AuthenticationManager.LOGIN_USER which are no longer needed

---
M java/reference/java.japi.gz
---

- Issue History
Date Modified Username Field Change
2017-09-07 19:09 caristu New Issue
2017-09-07 19:09 caristu Assigned To => caristu
2017-09-07 19:09 caristu Modules => Core
2017-09-07 19:09 caristu Triggers an Emergency Pack => No
2017-09-07 19:09 caristu Relationship added blocks 0035164
2017-09-07 19:10 caristu Description Updated View Revisions
2017-09-08 07:13 alostale Note Added: 0098892
2017-09-08 07:14 alostale Tag Attached: Approved
2017-09-08 08:31 caristu Note Added: 0098896
2017-09-08 13:12 hgbot Checkin
2017-09-08 13:12 hgbot Note Added: 0098910
2017-09-08 13:12 hgbot Status new => resolved
2017-09-08 13:12 hgbot Resolution open => fixed
2017-09-08 13:12 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/api-checks/rev/00535db6ce2809dcd86dc1ee1a328dffe8701fd1 [^]
2017-09-08 13:12 hgbot Checkin
2017-09-08 13:12 hgbot Note Added: 0098911
2017-09-08 13:12 caristu Review Assigned To => alostale
2017-09-08 13:15 caristu Note Deleted: 0098911
2017-09-08 13:55 hgbot Checkin
2017-09-08 13:55 hgbot Note Added: 0098914
2017-09-11 08:41 hgbot Checkin
2017-09-11 08:41 hgbot Note Added: 0098924
2017-09-11 11:58 hgbot Checkin
2017-09-11 11:58 hgbot Note Added: 0098934
2017-09-12 09:30 hgbot Checkin
2017-09-12 09:30 hgbot Note Added: 0098964
2017-09-12 09:31 hgbot Checkin
2017-09-12 09:31 hgbot Note Added: 0098965
2017-09-12 10:56 alostale Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker